Skip to content

Incoterms ​

Part of the Accounts API. Base URL https://your-domain.com/admin/api/v1 — replace the host with your own installation and the token placeholder with a real Bearer token (see Authentication).

List incoterms ​

GET /admin/api/v1/accounts/incoterms

Retrieve a paginated list of incoterms with filtering and sorting

🔒 Requires a valid Bearer token.

Query parameters

ParameterTypeRequiredDescriptionExample
includestringNoComma-separated list of relationships to include. Available options: creatorcreator
filter[id]stringNoComma-separated list of IDs to filter by
filter[code]stringNoFilter by incoterm code (partial match)
filter[name]stringNoFilter by incoterm name (partial match)
filter[trashed]stringNoFilter by trashed status. Options: with, only
sortstringYesSort fieldcode
pageintegerYesPage number1
bash
curl -X GET "https://your-domain.com/admin/api/v1/accounts/incoterms?include=creator&sort=code&page=1" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/incoterms?include=creator&sort=code&page=1", {
  method: "GET",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/accounts/incoterms?include=creator&sort=code&page=1', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/incoterms?include=creator&sort=code&page=1"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "data": [
    {
      "id": 1,
      "code": "EXW",
      "name": "EX WORKS",
      "creator_id": 1,
      "created_at": "2026-10-09T09:50:40.000000Z",
      "updated_at": "2026-10-09T09:50:40.000000Z",
      "deleted_at": null
    },
    {
      "id": 1,
      "code": "EXW",
      "name": "EX WORKS",
      "creator_id": 1,
      "created_at": "2026-10-09T09:50:40.000000Z",
      "updated_at": "2026-10-09T09:50:40.000000Z",
      "deleted_at": null
    }
  ],
  "links": {
    "first": "/?page=1",
    "last": "/?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "links": [
      {
        "url": null,
        "label": "&laquo; Previous",
        "page": null,
        "active": false
      },
      {
        "url": "/?page=1",
        "label": "1",
        "page": 1,
        "active": true
      },
      {
        "url": null,
        "label": "Next &raquo;",
        "page": null,
        "active": false
      }
    ],
    "path": "/",
    "per_page": 10,
    "to": 2,
    "total": 2
  }
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Create incoterm ​

POST /admin/api/v1/accounts/incoterms

Create a new incoterm

🔒 Requires a valid Bearer token.

Body parameters

ParameterTypeRequiredDescription
codestringYesIncoterm code (3 characters). Must not be greater than 3 characters.
namestringYesIncoterm name. Must not be greater than 255 characters.
bash
curl -X POST "https://your-domain.com/admin/api/v1/accounts/incoterms" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "code": "EXW",
  "name": "Ex Works"
}'
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/incoterms", {
  method: "POST",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "code": "EXW",
  "name": "Ex Works"
}),
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/accounts/incoterms', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
    'json' => [
    'code' => 'EXW',
    'name' => 'Ex Works',
  ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/incoterms"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

payload = {
    "code": "EXW",
    "name": "Ex Works",
}

response = requests.post(url, headers=headers, json=payload)

data = response.json()
print(data)

Example response 201

json
{
  "data": {
    "id": 1,
    "code": "EXW",
    "name": "EX WORKS",
    "creator_id": 1,
    "created_at": "2026-10-09T09:50:40.000000Z",
    "updated_at": "2026-10-09T09:50:40.000000Z",
    "deleted_at": null
  },
  "message": "Incoterm created successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Show incoterm ​

GET /admin/api/v1/accounts/incoterms/{id}

Retrieve a specific incoterm by its ID

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe incoterm ID

Query parameters

ParameterTypeRequiredDescriptionExample
includestringNoComma-separated list of relationships to include. Available options: creatorcreator
bash
curl -X GET "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}?include=creator" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/incoterms/{id}?include=creator", {
  method: "GET",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/accounts/incoterms/{id}?include=creator', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}?include=creator"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "data": {
    "id": 1,
    "code": "EXW",
    "name": "EX WORKS",
    "creator_id": 1,
    "created_at": "2026-10-09T09:50:40.000000Z",
    "updated_at": "2026-10-09T09:50:40.000000Z",
    "deleted_at": null
  }
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Update incoterm ​

PUT /admin/api/v1/accounts/incoterms/{id}

Update an existing incoterm

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe incoterm ID

Body parameters

ParameterTypeRequiredDescription
codestringNoIncoterm code (3 characters). Must not be greater than 3 characters.
namestringNoIncoterm name. Must not be greater than 255 characters.
bash
curl -X PUT "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "code": "EXW",
  "name": "Ex Works"
}'
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/incoterms/{id}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "code": "EXW",
  "name": "Ex Works"
}),
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://your-domain.com/admin/api/v1/accounts/incoterms/{id}', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
    'json' => [
    'code' => 'EXW',
    'name' => 'Ex Works',
  ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

payload = {
    "code": "EXW",
    "name": "Ex Works",
}

response = requests.put(url, headers=headers, json=payload)

data = response.json()
print(data)

Example response 200

json
{
  "data": {
    "id": 1,
    "code": "EXW",
    "name": "EX WORKS",
    "creator_id": 1,
    "created_at": "2026-10-09T09:50:40.000000Z",
    "updated_at": "2026-10-09T09:50:40.000000Z",
    "deleted_at": null
  },
  "message": "Incoterm updated successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Delete incoterm ​

DELETE /admin/api/v1/accounts/incoterms/{id}

Soft delete an incoterm

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe incoterm ID
bash
curl -X DELETE "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/incoterms/{id}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/accounts/incoterms/{id}', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.delete(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "message": "Incoterm deleted successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Restore incoterm ​

POST /admin/api/v1/accounts/incoterms/{id}/restore

Restore a soft-deleted incoterm

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe incoterm ID
bash
curl -X POST "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/restore" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/restore", {
  method: "POST",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/restore', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/restore"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.post(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "data": {
    "id": 1,
    "code": "EXW",
    "name": "EX WORKS",
    "creator_id": 1,
    "created_at": "2026-10-09T09:50:40.000000Z",
    "updated_at": "2026-10-09T09:50:40.000000Z",
    "deleted_at": null
  },
  "message": "Incoterm restored successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Force delete incoterm ​

DELETE /admin/api/v1/accounts/incoterms/{id}/force

Permanently delete an incoterm

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe incoterm ID
bash
curl -X DELETE "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/force" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/force", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/force', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/force"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.delete(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "message": "Incoterm permanently deleted."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Released under the MIT License.